<?php
//
$SYS_FOC="Nom";
//
$Nom=VU($_POST['Nom']);
$Tex1=VU($_POST['Tex1']);
$Tex2=VU($_POST['Tex2']);
//
$LIMPIAR=0;
//--------------------------------------------------------------------------
PID($StrId,V($_GET['Id']),$StrCmd,$LStrPag,V($_GET['Pag']));
//--------------------------------------------------------------------------
if(strlen($StrId)>0 && $StrCmd=="AR"){
	$Id=$StrId;
	$r=gr("ges_periodos","id_per=$Id");
	$Nom=$r['per_nom'];
	$Tex1=$r['per_tex1'];
	$Tex2=$r['per_tex2'];
}
//
if($StrCmd=="L"){
	$LIMPIAR=1;
}	
//
if($StrCmd=="G" || $StrCmd=="M"){
//
}
//
if($StrCmd=="G"){	
	if(gn("count(*)","ges_periodos","per_nom='$Nom'")>0){
		$SYS_MSG="Nombre ya registrado";
		$OK=0;
	}
	if($OK==1){
		$Id=GenId("id_per","ges_periodos");
		$s="INSERT INTO ges_periodos 
			VALUES ($Id,'$Nom','$Tex1','$Tex2')";
		ejt($s);					
		//			
		$SYS_MSG="Datos registrados";
		$LIMPIAR=1;
	}
}
//
if($StrCmd=="M"){
	if(gn("count(*)","ges_periodos","per_nom='$Nom' AND id_per<>$StrId")>0){
		$SYS_MSG="Nombre ya registrado";
		$OK=0;
	}
	if($OK==1){
		$s="UPDATE ges_periodos 
			SET 
			per_nom='$Nom',
			per_tex1='$Tex1',
			per_tex2='$Tex2' WHERE id_per=$StrId";
		ejt($s);	
		//			
		$SYS_MSG="Datos actualizados";
		$LIMPIAR=1;
	}
}
//
if($StrCmd=="E"){		
	$s="DELETE FROM ges_periodos WHERE id_per=$StrId";
	ejt($s);
	$SYS_MSG="Datos eliminados";
	$LIMPIAR=1;	
}
//
if($LIMPIAR==1){
	$StrId="";
	$Nom="";
	$Tex1="";
	$Tex2="";
}
?>
